JobTrackerPlugin (Hadoop 0.20.2-CDH3B4 API)
Date: 2011-02-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class JobTrackerPlugin

    java.lang.Object
      org.apache.hadoop.mapred.JobTrackerPlugin

All Implemented Interfaces:
  Closeable, ServicePlugin

    public abstract class JobTrackerPlugin

extends Object
implements ServicePlugin

JobTrackerPlugins are found in mapred.jobtracker.plugins, and are started and stopped by a PluginDispatcher during JobTracker start-up.

Constructor Summary
`JobTrackerPlugin()`

Method Summary
`abstract void` | `start(Object service)` This method is invoked when the service instance has been started.
`abstract void` | `stop()` This method is invoked when the service instance is about to be shut down.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.Closeable
`close`

Constructor Detail

### JobTrackerPlugin

    public JobTrackerPlugin()

Method Detail

### start

    public abstract void start(Object service)

  Description copied from interface: `ServicePlugin`
  This method is invoked when the service instance has been started. If the plugin fails to initialize and throws an exception, the PluginDispatcher instance will log an error and remove the plugin.

  Specified by:
    `start` in interface `ServicePlugin`
  Parameters:
    `service` - The service instance invoking this method

### stop

    public abstract void stop()

  Description copied from interface: `ServicePlugin`
  This method is invoked when the service instance is about to be shut down.

  Specified by:
    `stop` in interface `ServicePlugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation